Contents
Index 🔎︎
\<bookmark_value\>ThisComponent statement\</bookmark_value\>\<bookmark_value\>components;addressing\</bookmark_value\>

# ThisComponent Statement

Addresses the active component so that its properties can be read and set.

## Syntax:

    ThisComponent

## Example:

    Sub Main
    REM updates the "Table of Contents" in a text doc
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Table of Contents1")
        REM use the default name for Table of Contents and a 1
        index.update()
    End Sub